AlgoJudge documentation0.2
REST reference

Lti Platforms

GET/lti/platforms

Response Body

curl -X GET "https://example.com/lti/platforms"
[  {    "id": "string",    "displayName": "string",    "issuer": "string",    "clientId": "string",    "deploymentId": "string",    "keySetUrl": "string",    "authTokenUrl": "string",    "authLoginUrl": "string",    "isIdentityAuthority": true,    "identityNamespace": "string",    "usernameClaim": "string",    "enabled": true,    "providerId": "string",    "mappingRules": [      {        "claimValue": "string",        "targets": [          {            "kind": "string",            "roleId": "string",            "roleName": "string"          }        ]      }    ],    "createdAt": "string"  }]
POST/lti/platforms

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/lti/platforms" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string",    "issuer": "string",    "clientId": "string",    "deploymentId": "string",    "keySetUrl": "string",    "authTokenUrl": "string",    "authLoginUrl": "string"  }'
{  "id": "string",  "displayName": "string",  "issuer": "string",  "clientId": "string",  "deploymentId": "string",  "keySetUrl": "string",  "authTokenUrl": "string",  "authLoginUrl": "string",  "isIdentityAuthority": true,  "identityNamespace": "string",  "usernameClaim": "string",  "enabled": true,  "providerId": "string",  "mappingRules": [    {      "claimValue": "string",      "targets": [        {          "kind": "string",          "roleId": "string",          "roleName": "string"        }      ]    }  ],  "createdAt": "string"}
GET/lti/platforms/{id}

Path Parameters

id*string
Formatuuid

Response Body

curl -X GET "https://example.com/lti/platforms/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "displayName": "string",  "issuer": "string",  "clientId": "string",  "deploymentId": "string",  "keySetUrl": "string",  "authTokenUrl": "string",  "authLoginUrl": "string",  "isIdentityAuthority": true,  "identityNamespace": "string",  "usernameClaim": "string",  "enabled": true,  "providerId": "string",  "mappingRules": [    {      "claimValue": "string",      "targets": [        {          "kind": "string",          "roleId": "string",          "roleName": "string"        }      ]    }  ],  "createdAt": "string"}
DELETE/lti/platforms/{id}

Path Parameters

id*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/lti/platforms/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
PUT/lti/platforms/{id}

Path Parameters

id*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/lti/platforms/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string",    "issuer": "string",    "clientId": "string",    "deploymentId": "string",    "keySetUrl": "string",    "authTokenUrl": "string",    "authLoginUrl": "string"  }'
{  "id": "string",  "displayName": "string",  "issuer": "string",  "clientId": "string",  "deploymentId": "string",  "keySetUrl": "string",  "authTokenUrl": "string",  "authLoginUrl": "string",  "isIdentityAuthority": true,  "identityNamespace": "string",  "usernameClaim": "string",  "enabled": true,  "providerId": "string",  "mappingRules": [    {      "claimValue": "string",      "targets": [        {          "kind": "string",          "roleId": "string",          "roleName": "string"        }      ]    }  ],  "createdAt": "string"}
GET/lti/platforms/{id}/registration

Path Parameters

id*string
Formatuuid

Response Body

curl -X GET "https://example.com/lti/platforms/497f6eca-6276-4993-bfeb-53cbbbba6f08/registration"
{  "toolUrl": "string",  "loginUrl": "string",  "redirectUri": "string",  "keySetUrl": "string",  "customParameters": [    "string"  ]}